Page MenuHomePhabricator

Media Viewer not invoking maxage nor smaxage for imageinfo
Closed, ResolvedPublic

Description

MediaViewer caches most of its API calls but it does not cache calls to the imageinfo API. This was originally due to concerns about editors getting outdated content, but caching for a short period (say, 5 minutes) should still be okay, and could decrease the load from a popular article significantly.

https://github.com/wikimedia/mediawiki-extensions-MultimediaViewer/blob/f7a00750623bf0c6b96ca90df1934ee77448b198/resources/mmv/mmv.js#L50


See also:

Event Timeline

Gilles raised the priority of this task from to Needs Triage.
Gilles updated the task description. (Show Details)
Gilles added a project: MediaViewer.
Gilles added subscribers: Gilles, GWicke, Tgr.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 4 2015, 5:41 PM
Jdlrobson triaged this task as Low priority.Nov 4 2015, 6:13 PM
Jdlrobson added a subscriber: Jdlrobson.
Tgr updated the task description. (Show Details)Dec 7 2015, 6:50 AM
Tgr added a project: good first bug.
Tgr set Security to None.

Change 262695 had a related patch set uploaded (by Unicornisaurous):
Cache imageinfo query in MultimediaViewer

https://gerrit.wikimedia.org/r/262695

Change 262695 merged by jenkins-bot:
Cache imageinfo query in MultimediaViewer

https://gerrit.wikimedia.org/r/262695

Tgr closed this task as Resolved.Jan 6 2016, 4:44 AM
Tgr claimed this task.

Thanks Unicornisaurous!

Nemo_bis reassigned this task from Tgr to Unicornisaurous.Jan 6 2016, 2:09 PM